Package com.google.android.exoplayer2.upstream

## Class UdpDataSource.UdpDataSourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.DataSourceException
        - - com.google.android.exoplayer2.upstream.UdpDataSource.UdpDataSourceException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    UdpDataSource

      public static final class UdpDataSource.UdpDataSourceException
      extends DataSourceException

  Thrown when an error is encountered when trying to read from a `UdpDataSource`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.upstream.DataSourceException

      `POSITION_OUT_OF_RANGE, reason`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UdpDataSourceException​(Throwable cause, int errorCode)` | Creates a `UdpDataSourceException`.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.upstream.DataSourceException

      `isCausedByPositionOutOfRange`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UdpDataSourceException

          public UdpDataSourceException​(Throwable cause,
                                        @ErrorCode
                                        int errorCode)

      Creates a `UdpDataSourceException`.
      Parameters:
        `cause` - The error cause.
        `errorCode` - Reason of the error, should be one of the `ERROR_CODE_IO_*` in `PlaybackException.ErrorCode`.